performous (1.1+git20181118-4build2) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:44:41 +0100

performous (1.1+git20181118-4build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:22:34 +0100

performous (1.1+git20181118-4) unstable; urgency=medium

  * Team upload
  * Apply fixes from experimental branch to fix builds with latomic flag

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2020 12:12:49 +0100

performous (1.1+git20181118-3) unstable; urgency=medium

  * Team upload
  * New pango requires new harfbuzz, patch taken from Ubuntu that fixes FTBFS
    with pango from debian/experimental

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2020 11:19:20 +0100

performous (1.1+git20181118-2) unstable; urgency=medium

  * Readd performous-tools.links.
  * Fix FTBFS on armel/mips/mipsel and link against -latomic.
    Thanks to Adrian Bunk for the report and patch. (Closes: #914667)

 -- Markus Koschany <apo@debian.org>  Mon, 26 Nov 2018 12:21:08 +0100

performous (1.1+git20181118-1) unstable; urgency=medium

  * New upstream version 1.1+git20181118.
    - Fix FTBFS with Boost 1.67. (Closes: #914061)
      Thanks to Adrian Bunk for the report.
    - See README.source how the original tarball was created.
      The www directory contained Javascript files without source and was
      removed.
  * Drop deprecated menu file and xpm icon.
  * Update README.Debian
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Tighten B-D on libboost-all-dev.
  * Build-depend on libglm-dev and libcpprest-dev.

 -- Markus Koschany <apo@debian.org>  Sun, 25 Nov 2018 16:04:12 +0100

performous (1.1-2) unstable; urgency=medium

  * Suggest fretsonfire-songs-muldjord and fretsonfire-songs-sectoid music
    packages. (Closes: #425898)
  * Declare compliance with Debian Policy 3.9.8.
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Sun, 27 Nov 2016 23:13:53 +0100

performous (1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1.
  * Add get-orig-source target.
  * Drop all patches. Applied upstream.
  * Drop README.source.

 -- Markus Koschany <apo@debian.org>  Wed, 27 Jan 2016 20:21:45 +0100

performous (1.0+git150721-3) unstable; urgency=medium

  * Drop performous-dbg package because the automatic -dbgsym package
    has replaced it.
  * debian/control: Replace fonts-droid with fonts-noto-mono. (Closes: #804685)

 -- Markus Koschany <apo@debian.org>  Sun, 17 Jan 2016 17:53:56 +0100

performous (1.0+git150721-2) unstable; urgency=medium

  * Add ffmpeg_2.9.patch.
    Fix FTBFS with upcoming ffmpeg 2.9 transition.
    Thanks to Andreas Cadhalpun for the report and patch. (Closes: #803853)
  * Add reproducible-build.patch and make the build reproducible by
    removing the __DATE__ macro.
  * Update my e-mail address.
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Sun, 08 Nov 2015 21:19:32 +0100

performous (1.0+git150721-1) unstable; urgency=medium

  * Imported Upstream version 1.0+git150721.
    - Fixes FTBFS with GCC-5. (Closes: #778059)
  * Add README.source.
  * Drop all patches. They were merged upstream.
    Use ffmpeg instead of avconv again because the project transitions from
    libav to ffmpeg.
  * performous-tools: Depend on ffmpeg instead of libav-tools.
  * d/control: New build-dependency libepoxy-dev.
  * d/control: Remove libglew-dev from Build-Depends. No longer needed.
  * d/copyright: Mention new BSL-1.0 licensed files.

 -- Markus Koschany <apo@gambaru.de>  Sun, 09 Aug 2015 13:44:19 +0200

performous (1.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Tue, 28 Apr 2015 22:45:04 +0200

performous (1.0-2) experimental; urgency=medium

  * Merge unstable changes from 0.7.0+git20140715-2 into experimental branch.
  * debian/rules: Build without Altivec on ppc64el to prevent build failures.
  * Remove source/options since performous uses CMake anyway.
  * Add fix-spelling-errors.patch:
    Fix spelling errors informations and Unkown. Thanks to Lintian.

 -- Markus Koschany <apo@gambaru.de>  Wed, 05 Nov 2014 11:55:48 +0100

performous (0.7.0+git20140715-2) unstable; urgency=medium

  * Add fix-imagemagick-detection.patch. (Closes: #767755)
    Detect ImageMagick library and build the ss_extract and ss_cover_conv
    binaries again which were accidentally dropped.
  * Add use-avconv.patch. (Closes: #699400)
    Replace ffmpeg command with avconv for ss_extract tool because ffmpeg
    will not be available for Jessie.
  * performous-tools: Depend on libav-tools because ss_extract requires
    the avconv command.
  * Move the package to Git. Change Vcs fields accordingly.

 -- Markus Koschany <apo@gambaru.de>  Sun, 02 Nov 2014 13:46:41 +0100

performous (1.0-1) experimental; urgency=medium

  * Imported Upstream version 1.0.
  * Move the package to Git.
  * Update debian/watch and detect new releases at github.com.
  * Declare compliance with Debian Policy 3.9.6.
  * Drop README.source. The upstream sources are pristine.
  * Update debian/copyright. Add Apache-2.0 license paragraph.
  * Add fix-hyphen-used-as-minus-sign.patch to silence Lintian and forward the
    patch upstream.

 -- Markus Koschany <apo@gambaru.de>  Sat, 01 Nov 2014 17:04:05 +0100

performous (0.7.0+git20140715-1) unstable; urgency=medium

  * Imported Upstream version 0.7.0+git20140715.
    - Fixes FTBFS with libav10. (Closes: #739433, #754486)
  * Add libavresample-dev to Build-Depends. Needed for libav10.
  * Update README.source for new release.
  * Drop desktop-file.patch. Merged upstream.
  * Switch to SDL2 by using libsdl2-dev instead of libsdl1.2-dev.

 -- Markus Koschany <apo@gambaru.de>  Tue, 15 Jul 2014 16:42:04 +0200

performous (0.7.0+git20140217-1) unstable; urgency=medium

  * Imported Upstream version 0.7.0+git20140217.
    - Update to recommended git master version. (Closes: #710332)
    - Fix audio noise when entering the game. (Closes: #740763)
  * Add myself to Uploaders.
  * Enable MIDI I/O support.
  * debian/rules:
    - Switch to dh sequencer and simplify debian/rules.
    - Build with --parallel.
    - Remove all overrides in regard to libda.
    - Use only required dh_auto_configure options.
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.
    - Do not create separate ultrastar directory anymore.
  * wrap-and-sort -sa
  * debian/control:
    - Remove unnecessary build-dependencies:
      + libsamplerate0-dev
      + libpulse-dev
      + libgstreamer0.10-dev
      + libjack-dev
    - Use libboost-all-dev instead of single boost libraries.
    - Switch to libglew-dev from libglew1.5-dev.
    - Add libportmidi-dev [linux-any] and enable MIDI I/O support.
    - Add libpng-dev and libjpeg-dev.
    - Remove Conflicts, Replaces, Provides fields for obsolete ultrastar
      package.
    - Remove Pre-Depends dpkg (>= 1.15.6)
    - performous: Add fonts-droid dependency.
    - performous: Remove Recommends: ${alsalibs:Recommends} substvar.
  * source/options: Use default xz compression.
  * Update desktop.patch to desktop-file.patch and create a valid desktop file.
  * Drop use-Boost-TIME_UTC_-constant-unconditionally.patch. Fixed upstream.
  * Drop FindFreetype.patch. Fixed upstream.
  * Drop libav0.8.patch. Fixed upstream.
  * Update README.source. Explain how one can obtain the original sources.
  * debian/docs: Do not install TODO.txt anymore. It does no longer exist.
  * Drop debian/h2m folder. It is obsolete.
  * Add longtitle to performous.menu.
  * Add performous-tools.install file.
  * Update README.Debian. Mention ~/.local/share/games/performous/songs as an
    alternative song location. (Closes: #718897)
  * Drop ultrastar-ng.links.
  * Update debian/copyright to copyright format 1.0. Add Sil Open Fonts
    license.
  * Install performous.svg to /usr/share/icons/hicolor/scalable/apps.

 -- Markus Koschany <apo@gambaru.de>  Sat, 08 Mar 2014 11:52:55 +0100

performous (0.7.0-3) unstable; urgency=medium

  * Team upload.
  * Update the local FindFreeType.cmake file to detect the latest version of
    FreeType2 and make the software compile again. (Closes: #732735)
  * Bump Standards-Version to 3.9.5, no changes.

 -- Markus Koschany <apo@gambaru.de>  Wed, 22 Jan 2014 21:02:04 +0100

performous (0.7.0-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Use canonical VCS-URI.
    - Remove versioned dependencies on boost libraries because they are
      trivially satisfied now.
    - Remove superfluous ${shlibs:Depends} substvar from performous-dbg
      package.
    - Bump Standards-Version to 3.9.4, no changes.
  * debian/copyright: Fix lintian issue copyright-refers-to-symlink-license and
    point to GPL-2 license.
  * Add use-Boost-TIME_UTC_-constant-unconditionally.patch. Use always the new
    Boost constant TIME_UTC_ and fix FTBFS with libboost1.49. (Closes: #710625)
  * Drop boost_filesystem_v2.patch. Not necessary for newer boost versions.

 -- Markus Koschany <apo@gambaru.de>  Sun, 30 Jun 2013 11:59:10 +0200

performous (0.7.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release.
  * Removed patches: jpeg-detection.patch and libav_api_change.patch
  * Upgraded debian/compat to 9.
  * Modified debian/rules to use fortified libc functions.
    See: http://wiki.debian.org/Hardening
  * Changed my email address in debian/control to miriam@debian.org

 -- Miriam Ruiz <miriam@debian.org>  Wed, 21 Nov 2012 00:01:41 +0100

performous (0.6.1-6) unstable; urgency=low

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Add libpango1.0-dev to Build-Depends to fix FTBFS. (Closes: #665256)

  [ Ansgar Burchardt ]
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 06 Apr 2012 10:04:51 +0200

performous (0.6.1-5) unstable; urgency=low

  * Team upload.
  * Check for jpeglib.h which is actually included instead of jconfig.h.
    The latter is installed in multiarch location. Patch from Ilya Barygin.
    (Closes: #659740)
  * Add build-arch and build-indep targets.
  * Fix Vcs-Browser link.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 31 Jan 2012 15:26:47 +0100

performous (0.6.1-4) unstable; urgency=low

  * Team upload.
  * Add missing include for libav0.8. (Closes: #654221)
  * Use xz compression for binary packages.
  * Remove quilt references from debian/control and debian/rules.
    The package already uses the 3.0 (quilt) source format.
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 15 Jan 2012 22:48:58 +0100

performous (0.6.1-3) unstable; urgency=low

  * Team upload.
  * Remove deprecated ffmpeg/libav API functions. This prevents a
    FTBFS when libav/0.7 is uploaded to unstable. Patch by Scott
    Kitterman (Closes: #637105)
  * Drop transition package ultrastar-ng now that Squeeze is released

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 24 Aug 2011 22:33:21 +0200

performous (0.6.1-2) unstable; urgency=low

  * Team upload.

  [ Evgeni Golov ]
  * Set BOOST_FILESYSTEM_VERSION=2 to prevent FTBFS with boost >= 1.46
    Closes: #625109

  [ Bruno "Fuddl" Kleinert ]
  * Follow libmagick transition and build-depend on libmagick++-dev instead of
    libmagick++9-dev, now. (Closes: #625610)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 09 Jun 2011 18:14:57 +0200

performous (0.6.1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release
  * Using source package format "3.0 (quilt)"
  * Upgraded Standards-Version from 3.8.3 to 3.9.1
  * Added a recommend for vorbis-tools in performous-tools. Closes: #567807
  * Removed configure target as dependency from clean in debian/rules

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 03 Nov 2010 22:57:47 +0100

performous (0.5.1-1) unstable; urgency=low

  * New upstream release.
    - mainly bugfix
    - adding some new instrument auto recognized
  * Updated package description in debian/control

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 16 Jan 2010 16:00:15 +0100

performous (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 13 Jan 2010 23:22:55 +0100

performous (0.4.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release. Closes: #558689
  * Updated package description
  * Upgraded Standards-Version from 3.8.2 to 3.8.3
  * Added to Build-Depends: pkg-config
  * Define in rules which plugins to compile.
    See: libs/libda/plugins/CMakeLists.txt
  * Fixed Vcs-Svn and Vcs-Browser in debian/control
  * Added very simple man page for performous tools

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 02 Dec 2009 22:31:10 +0100

performous (0.3.2-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 28 Jul 2009 00:43:34 +0200

performous (0.3.1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release
  * Added binary packages performous-tools and performous-tools-dbg
  * Updated patches
  * Upgraded Standards-Version to 3.8.2
  * New build dependency: libglew1.5-dev
  * It depends on cmake (>= 2.6) now

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 11 Jul 2009 20:22:04 +0200

performous (0.3.0-3) unstable; urgency=low

  [ Barry deFreese ]
  * boost_fix.patch - Build with newer boost. (Closes: #530473).
  * gcc_44.patch - Build with gcc-4.4. (Closes: #510848).
    + Thanks to Martin Michlmayr for the patch.
  * Add Section: debug to -dbg package.
  * Fix some symantic errors in package description. (Closes: #517620).
  * Bump Standards Version to 3.8.1.

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 28 May 2009 22:38:15 +0200

performous (0.3.0-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/copyright: Fix typo.

  [ Miriam Ruiz ]
  * Uploaded to sid
  * Do not depend on the dependencies of the plugins
  * Recommend the dependencies of the ALSA plugin

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 23 Dec 2008 22:19:45 +0100

performous (0.3.0-1) experimental; urgency=low

  * UltraStar NG is now called Performous. Package renamed to performous.
  * New homepage: http://performous.org/
  * New building system: cmake
  * Updated build dependencies
  * Removed ultrastar-ng-xine and ultrastar-ng-gstreamer packages
  * Added package performous-dbg with the debugging symbols

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 11 Nov 2008 21:11:40 +0100

ultrastar-ng (0.2.1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release (Closes: #453132)
  * Removed unneeded patches
  * Added packages to build deps:
    + libtool
    + portaudio19-dev | portaudio-dev
    + libboost-dev, libboost-thread-dev, libboost-serialization-dev
    + libboost-program-options-dev, libboost-regex-dev
  * Moved shared objects to private directory: /usr/lib/ultraster-ng
  * Added rpath to binaries to search for shared objects in the private dir
  * Uses ultrastar-ng-gstreamer as default, instead of ultrastar-ng-xine,
    since there are significantly less issues with GStreamer.
  * Added patch to fix upstream desktop file
  * Added -Wl,-as-needed to LDFLAGS
  * Replaced fftw3-dev by libfftw3-dev in build dependencies.
  * Standards-Version upgraded to 3.7.3

  [ Mario Bonino ]
  * Fixed data/Makefile.am to install .desktop file and icon

  [ Jon Dowland ]
  * add Homepage: control field to source stanza
  * fix a bashism in debian/rules (Closes: #478634)

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*
  * Remove Homepage semi-field from description

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 07 Jun 2008 16:43:18 +0200

ultrastar-ng (0.1.4-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added patch to support previewing ogg files with xine (Closes: #430531)
  * Added patch to check that SDL is properly initialized (Closes: #427386)
  * Added patch to prevent incorrect singing screens in songs with wrong
    #BACKGROUND or #VIDEO headers (Closes: #435383)

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu policy transition.
    Thanks Linas Žvirblis.

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 01 Aug 2007 08:52:08 +0000

ultrastar-ng (0.1.4-1) unstable; urgency=low

  * Build-Depends on libcairo2-dev (>= 1.2)
  * Modified rules so that the icon and desktop files appear in both flavours
    of the program.
  * Added rule-flavour type of targets in debian/rules, so that it is
    easier to maintain.
  * New Upstream Release.
    + Added difficulty level
    + Added to-start cursor
    + Added audio pause/seek
    + Added practice screen
    + Added ingame fullscreen support
    + Rewrote of the lyrics parsing and screen API
    + Added manpage, desktop and pixmap files
    + Fixed latest unscaled graphics
    + Bufixes and memleak fixes
  * Reconfigure autotools files before running configure.
    Added build dependencies: autoconf, automake1.10
  * Added patch to avoid rebuilding the man page, not working properly.

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 19 May 2007 13:27:05 +0000

ultrastar-ng (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #411708)

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 21 Feb 2007 22:17:24 +0000

